%define phpversion 4.0.6
%define phprelease 3mdk
%define phpdir %{_libdir}/php 
%define phpsource /usr/src/php-devel

Summary:	Mcrypt module for PHP4
Name:		php-mcrypt
Version:	%{phpversion}
Release:	2rph
Group:		System/Servers
License:	PHP License
BuildRoot:	%{_tmppath}/%{name}-root
Prereq:		php-common = %{phpversion}, perl, mcrypt
Requires:	mcrypt >= 2.5.7
BuildRequires:  php-devel = %{phpversion}
BuildRequires:	libmcrypt4-devel >= 2.4.15

%description
The php-mcrypt package includes a dynamic shared object (DSO) that adds
mcrypt support to PHP4. 
Mcrypt uses the following encryption (block) algorithms: BLOWFISH,
DES, TripleDES, 3-WAY, SAFER-SK64, SAFER-SK128, CAST-128, RC2
TEA (extended), TWOFISH, RC6, IDEA and GOST. The unix crypt
algorithm is also included, to allow compatibility with the
crypt(1) command.
CBC, ECB, OFB and CFB modes of encryption are supported.

%build
[ -e ./mcrypt ] && rm -fr ./mcrypt
cp -dpR %{phpsource}/extensions/mcrypt .
cd mcrypt

%{phpsource}/buildext mcrypt mcrypt.c "-lpq" 

%install
cd mcrypt
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT%{phpdir}/extensions

install -m 755 -s mcrypt.so $RPM_BUILD_ROOT%{phpdir}/extensions/

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
echo > $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README <<EOF
The php-mcrypt package contains a dynamic shared object (DSO) for PHP4. 
To activate it, make sure the line 'extension=mcrypt.so' is uncommented
in your /etc/php.ini file.
EOF

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
[ -e ./mcrypt ] && rm -fr ./mcrypt

%post
if [ $1 = "1" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^;extension\s*=\s*mcrypt.so|extension = mcrypt.so|' %{_sysconfdir}/php.ini
  fi
  
fi
if [ $1 -gt 1 ]; then
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again
   #in a way that the older module we're replacing won't try to erase (the
   #post scripts were broken on some packages)
   #Also, there could be extra lines, so make sure we uncomment one
   #Finally, don't check for presence of php.ini, if it's not there,
   #we have a problem, so it should generate an error message.
   perl -pi -e 's|^extension\s*=\s*mcrypt.so|;extension = mcrypt.so|g' %{_sysconfdir}/php.ini
   perl -pi -e 's|^;extension\s*=\s*mcrypt.so|extension = mcrypt.so|' %{_sysconfdir}/php.ini
fi
if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 

%preun
if [ $1 = "0" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^extension\s*=\s*mcrypt.so|;extension = mcrypt.so|g' %{_sysconfdir}/php.ini
  fi
  if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi

%files 
%defattr(-,root,root)
%{phpdir}/extensions/mcrypt.so
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/README

%changelog
* Tue Apr 16 2002 Vincent Danen <vdanen@mandrakesoft.com> 4.0.6-2rph
- rebuild with rph extension

* Wed Jul  4 2001 Rado Ramarotafika <rado@rpmhelp.net> 4.0.6-1mdk
- First release

